@echo off    
    
echo ===========================  
echo Restoring Build Environment  
echo ===========================   
echo.  
set DrvVer=7.721.03.00
set /a NumBuildParameters=10 
set DriverName=MegaSas35
set InBoxDriverName=MegaSas35i
set DrvVerHdrFile=.\drvver.h
set RttEventDefsFile=RttEventDefs.h
set DrvVerFormat=w.xxx.yy.zz
set DrvRelDir=..\..\sas35_drv_rel\windrv_rel
set DrvSourceFiles="build.c,complete.c,dcmds.c,debug.c,fastpath.c,hware.c,initialize.c,interrupt.c,ioctl.c,megasas.c,megasas.rc,metric.c,mfi.c,misc.c,mpt.c,ocr.c,reset.c,start.c,RTTrace.c,wmi.c,megasas.mof"
set DrvHeaderFiles="adapter.h,cdb.h,drvver.h,function.h,includes.h,inlines.h,megasas.h,RttEventDefs.h,RTTypeDefs.h,eventlog.h,mpi2.h,mpi2_cnfg.h,mpi2_hbd.h,mpi2_init.h,mpi2_ioc.h,mpi2_ra.h,mpi2_raid.h,mpi2_sas.h,mpi2_targ.h,mpi2_tool.h,mpi2_type.h,eeprom.h,event.h,eventmsg.h,mfi.h,mfistat.h,mfi_ioctl.h,mr.h,mrpriv.h,mr_configpage.h,mr_drv.h,pciid.h"
set DrvSourcePath="."
set DrvHeaderPath=".;..\..\fwapi\mpi2\;..\..\fwapi\fwsasmegaapi\;..\..\fwapi\fwsaspvtapi"
set /a NumberTargets=13 
  
set Target[0].Name=Win2019_Server_RS5_LTSC_f18
set Target[0].Cpu=x64
set Target[0].TargetOs=WIN10
set Target[0].ReleaseType=Binary
set Target[0].Role=Production
set Target[0].OsSignFamily=Windows_v100_RS5
set Target[0].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[0].WdkSdkVersion=10.0.20348.0
set Target[0].SdkPath=
set Target[0].SdkSetupCmd=
set Target[0].BuildIt=TRUE
set Target[0].InfFile=MegaSas35.inf
set Target[0].NoDrvInfFile=nodev.inf
set Target[0].FileCache=FileCache\Mega
  
set Target[1].Name=Debug_Win2019_Server_RS5_LTSC_f18
set Target[1].Cpu=x64
set Target[1].TargetOs=WIN10
set Target[1].ReleaseType=Binary
set Target[1].Role=Production
set Target[1].OsSignFamily=Windows_v100_RS5
set Target[1].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[1].WdkSdkVersion=10.0.20348.0
set Target[1].SdkPath=
set Target[1].SdkSetupCmd=
set Target[1].BuildIt=FALSE
set Target[1].InfFile=MegaSas35.inf
set Target[1].NoDrvInfFile=nodev.inf
set Target[1].FileCache=FileCache\Mega
  
set Target[2].Name=Win10_Client_RS5_LTSC_f18
set Target[2].Cpu=x64
set Target[2].TargetOs=WIN10
set Target[2].ReleaseType=Binary
set Target[2].Role=Production
set Target[2].OsSignFamily=Windows_v100_RS5
set Target[2].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[2].WdkSdkVersion=10.0.20348.0
set Target[2].SdkPath=
set Target[2].SdkSetupCmd=
set Target[2].BuildIt=TRUE
set Target[2].InfFile=MegaSas35.inf
set Target[2].NoDrvInfFile=nodev.inf
set Target[2].FileCache=FileCache\Mega
  
set Target[3].Name=Debug_Win10_Client_RS5_LTSC_f18
set Target[3].Cpu=x64
set Target[3].TargetOs=WIN10
set Target[3].ReleaseType=Binary
set Target[3].Role=Production
set Target[3].OsSignFamily=Windows_v100_RS5
set Target[3].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[3].WdkSdkVersion=10.0.20348.0
set Target[3].SdkPath=
set Target[3].SdkSetupCmd=
set Target[3].BuildIt=FALSE
set Target[3].InfFile=MegaSas35.inf
set Target[3].NoDrvInfFile=nodev.inf
set Target[3].FileCache=FileCache\Mega
  
set Target[4].Name=Win2022_Server
set Target[4].Cpu=x64
set Target[4].TargetOs=WIN10
set Target[4].ReleaseType=Binary
set Target[4].Role=Production
set Target[4].OsSignFamily=Windows_v100_RS5
set Target[4].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[4].WdkSdkVersion=10.0.20348.0
set Target[4].SdkPath=
set Target[4].SdkSetupCmd=
set Target[4].BuildIt=TRUE
set Target[4].InfFile=MegaSas35.inf
set Target[4].NoDrvInfFile=nodev.inf
set Target[4].FileCache=FileCache\Mega
  
set Target[5].Name=Debug_Win2022_Server
set Target[5].Cpu=x64
set Target[5].TargetOs=WIN10
set Target[5].ReleaseType=Binary
set Target[5].Role=Production
set Target[5].OsSignFamily=Windows_v100_RS5
set Target[5].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[5].WdkSdkVersion=10.0.20348.0
set Target[5].SdkPath=
set Target[5].SdkSetupCmd=
set Target[5].BuildIt=FALSE
set Target[5].InfFile=MegaSas35.inf
set Target[5].NoDrvInfFile=nodev.inf
set Target[5].FileCache=FileCache\Mega
  
set Target[6].Name=Win21H2_Client
set Target[6].Cpu=x64
set Target[6].TargetOs=WIN10
set Target[6].ReleaseType=Binary
set Target[6].Role=Production
set Target[6].OsSignFamily=Windows_v100_CO
set Target[6].OsSignVersion=WINDOWS_v100_X64_CO_FULL
set Target[6].WdkSdkVersion=10.0.19041.0
set Target[6].SdkPath=
set Target[6].SdkSetupCmd=
set Target[6].BuildIt=TRUE
set Target[6].InfFile=MegaSas35.inf
set Target[6].NoDrvInfFile=nodev.inf
set Target[6].FileCache=FileCache\Mega
  
set Target[7].Name=Debug_Win21H2_Client
set Target[7].Cpu=x64
set Target[7].TargetOs=WIN10
set Target[7].ReleaseType=Binary
set Target[7].Role=Production
set Target[7].OsSignFamily=Windows_v100_CO
set Target[7].OsSignVersion=WINDOWS_v100_X64_CO_FULL
set Target[7].WdkSdkVersion=10.0.19041.0
set Target[7].SdkPath=
set Target[7].SdkSetupCmd=
set Target[7].BuildIt=FALSE
set Target[7].InfFile=MegaSas35.inf
set Target[7].NoDrvInfFile=nodev.inf
set Target[7].FileCache=FileCache\Mega
  
set Target[8].Name=Win11_Client
set Target[8].Cpu=x64
set Target[8].TargetOs=WIN10
set Target[8].ReleaseType=Binary
set Target[8].Role=Production
set Target[8].OsSignFamily=Windows_v100_CO
set Target[8].OsSignVersion=WINDOWS_v100_X64_CO_FULL
set Target[8].WdkSdkVersion=10.0.22000.0
set Target[8].SdkPath=
set Target[8].SdkSetupCmd=
set Target[8].BuildIt=TRUE
set Target[8].InfFile=MegaSas35.inf
set Target[8].NoDrvInfFile=nodev.inf
set Target[8].FileCache=FileCache\Mega
  
set Target[9].Name=Debug_Win11_Client
set Target[9].Cpu=x64
set Target[9].TargetOs=WIN10
set Target[9].ReleaseType=Binary
set Target[9].Role=Production
set Target[9].OsSignFamily=Windows_v100_CO
set Target[9].OsSignVersion=WINDOWS_v100_X64_CO_FULL
set Target[9].WdkSdkVersion=10.0.22000.0
set Target[9].SdkPath=
set Target[9].SdkSetupCmd=
set Target[9].BuildIt=FALSE
set Target[9].InfFile=MegaSas35.inf
set Target[9].NoDrvInfFile=nodev.inf
set Target[9].FileCache=FileCache\Mega
  
set Target[10].Name=InBox
set Target[10].Cpu=x64
set Target[10].TargetOs=WIN10
set Target[10].ReleaseType=Binary
set Target[10].Role=InBox
set Target[10].OsSignFamily=Windows_v100_RS5
set Target[10].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[10].WdkSdkVersion=10.0.19041.0
set Target[10].SdkPath=
set Target[10].SdkSetupCmd=
set Target[10].BuildIt=FALSE
set Target[10].InfFile=MegaSas35i.inf
set Target[10].NoDrvInfFile=None
set Target[10].FileCache=FileCache\InBox
  
set Target[11].Name=Debug_InBox
set Target[11].Cpu=x64
set Target[11].TargetOs=WIN10
set Target[11].ReleaseType=Binary
set Target[11].Role=InBox
set Target[11].OsSignFamily=Windows_v100_RS5
set Target[11].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[11].WdkSdkVersion=10.0.19041.0
set Target[11].SdkPath=
set Target[11].SdkSetupCmd=
set Target[11].BuildIt=FALSE
set Target[11].InfFile=MegaSas35i.inf
set Target[11].NoDrvInfFile=None
set Target[11].FileCache=FileCache\InBox
  
set Target[12].Name=InBox
set Target[12].Cpu=Source
set Target[12].TargetOs=WIN10
set Target[12].ReleaseType=Source
set Target[12].Role=InBox
set Target[12].OsSignFamily=Windows_v100_RS5
set Target[12].OsSignVersion=WINDOWS_v100_X64_RS5_FULL
set Target[12].WdkSdkVersion=10.0.19041.0
set Target[12].SdkPath=
set Target[12].SdkSetupCmd=
set Target[12].BuildIt=FALSE
set Target[12].InfFile=MegaSas35i.inf
set Target[12].NoDrvInfFile=None
set Target[12].FileCache=FileCache\InBox
  
echo ==== COMPLETED (Restoring Build Environment): SUCCESSFUL  
echo. 
